#!/bin/sh
# http://www.annodex.net/software/libfishsound
# http://bzr.debian.org/bzr/pkg-xiph/libfishsound
#
# script: til <rob DOT til DOT freedman AT googlemail DOT com>
REPO=http://zenwalk.pinguix.com/user-accounts/tilderb
set -e -u -x

#libfishsound
version=1.0.0
build=64.1
arch=${arch:-i686}
tune=pentium-m
tune=${tune:-i686}

pkgname=libfishsound-$version
package=$pkgname-$arch-$build

DOC_URL=http://www.xiph.org/fishsound/doc
SRC_URL=http://downloads.xiph.org/releases/libfishsound
PKG_DEP="flac,libogg,libvorbis,speex"
PKG_SRC="$REPO/extra/l/libfishsound/build-libfishsound.sh
$SRC_URL/libfishsound-$version.tar.gz"

# build directory
CWD=`pwd`
TMP=${TMP:-$CWD/tmp}
PKG=$TMP/$package
SRC=$TMP/$pkgname

[ -d $PKG ] && rm -fr $PKG
[ -d $SRC ] && rm -fr $SRC

# prepare build directory
mkdir -p $PKG/install
mkdir -p $PKG/usr/{src,doc}/$pkgname

tar xf $CWD/$pkgname.tar.gz -C $TMP
cd $SRC
./configure --help >$CWD/configure.lst

find . -name 'Makefile.in' | xargs -n1 sed -i "s:share/doc/@PACKAGE@:doc/$pkgname:g" 

CFLAGS="-O2  -march=$arch -mtune=$tune" \
CXXFLAGS="-O2 -march=$arch -mtune=$tune" \
./configure \
    --prefix=/usr \
	--mandir=/usr/man \
	--disable-static

make || exit 1
make check || exit 1
make install DESTDIR=$PKG

# helperline
(cd $PKG;find usr -printf "%M %u:%g %p %l\n" |sort >$CWD/installed.files)

cp -a  AUTHORS COPYING README  $PKG/usr/doc/$pkgname
cd $PKG
echo "$DOC_URL"	> usr/doc/$pkgname/api-docs.url
rm -fr usr/doc/$pkgname/{latex,html}

# strip symbols
find . |xargs file |grep "executable\|shared object" |grep ELF |\
	cut -f 1 -d :| xargs -r strip --strip-unneeded
	
find . |xargs file |grep "current ar archive" |\
	cut -f 1 -d : |xargs -r strip -g

# slack-desc
#           |-----handy-ruler------------------------------------------------------|
cat <<EOF > install/slack-desc
libfishsound: libfishsound (API to access Xiph.org codecs)
libfishsound:
libfishsound: FishSound provides a simple programming interface for decoding and
libfishsound: encoding audio data using Xiph.Org codecs (FLAC, Speex and Vorbis).
libfishsound:
libfishsound: libfishsound by itself is designed to handle raw codec streams
libfishsound: from a lower level layer such as UDP datagrams.
libfishsound:
libfishsound: When these codecs are used in files, they are commonly encapsulated
libfishsound: in Ogg to produce Ogg FLAC, Speex and Ogg Vorbis files.
libfishsound:
EOF
#
cp $CWD/build-libfishsound.sh usr/src/$pkgname
fakeroot /sbin/makepkg -l y -c n $CWD/$package.txz

cd $CWD
depfinder $PKG
md5sum $package.txz > $package.md5
echo  "$PKG_SRC"	> $package.src
echo $PKG_DEP > $package.dep
